missing linker flag "-framework Security" for macOS 10.7 .. 10.9

06/26/2022 01:19 PM - kimuraw (Wataru Kimura)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.1.2p20 (2022-04-12 revision

4491bb740a) [x86_64-darwin13]

Backport: 2.7: UNKNOWN, 3.0: UNKNOWN, 3.1:

UNKNOWN

Description

it looks target OS version detection in ./configure fails. (10.7 <= ver < 10.10)

macOS's AvailabilityMacros.h does not contain macros for future versions.

a version number to compare with "MAC_OS_X_VERSION_MIN_REQUIRED" should be a numeric literal, not a macro.

MAC_OS_X_VERSION_10_7 => 1070

MAC_OS_X_VERSION_10_10 => 101000

dln.c has same issue.

$ sw_vers -productVersion

10.9.5

$ uname -r 

13.4.0

$ cat conftest.c 

/* end confdefs.h.  */

            #include <AvailabilityMacros.h>

int

main ()

{

static int test_array [1 - 2 * !(MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_7 &&

                 MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_10)];

test_array [0] = 0;

return test_array [0];

  ;

  return 0;

}

$ cc -c conftest.c 

conftest.c:8:50: error: use of undeclared identifier 'MAC_OS_X_VERSION_10_10'

                 MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_10)];

                                                 ^

1 error generated.

Associated revisions

Revision fc8020c68eb9f640185a1bce322eba6605bde151 - 06/26/2022 04:08 PM - nobu (Nobuyoshi Nakada)

[Bug #18879] Fix macOS version detections

macOS's AvailabilityMacros.h does not contain macros for future

versions.  If a version macro is not defined, consider only earlier

versions to be targeted.
macOS's AvailabilityMacros.h does not contain macros for future

versions.  If a version macro is not defined, consider only earlier
Revision fc8020c6 - 06/26/2022 04:08 PM - nobu (Nobuyoshi Nakada)

[Bug #18879] Fix macOS version detections

macOS's AvailabilityMacros.h does not contain macros for future

versions.  If a version macro is not defined, consider only earlier

versions to be targeted.

History

#1 - 06/26/2022 04:09 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset git|fc8020c68eb9f640185a1bce322eba6605bde151.

[Bug #18879] Fix macOS version detections

macOS's AvailabilityMacros.h does not contain macros for future

versions.  If a version macro is not defined, consider only earlier

versions to be targeted.
